petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDSGetComponentDerivativeOffsets

Returns the offset of each field derivative on an evaluation point

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetComponentDerivativeOffsets(PetscDS prob, PetscInt *offsets[])

Not collective

### Input Parameter

prob -The PetscDS object

### Output Parameter

offsets -The offsets

### See Also

PetscDSGetBdFieldOffset(), PetscDSGetNumFields(), PetscDSCreate()

Level:beginner
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages